Subject: bug#3717: M-x man completion

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Dec 2009 06:19:04 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 16 Dec 2009 02:42:17 +0200
> 
> I see that `Man-getpage-in-background' calls `start-process' (with
> a shell command name prepended) to run "man", but `Man-completion-table'
> calls `call-process' (without a shell command prepended) to run "man -k".
> That's the difference.
> 
> Shouldn't `Man-completion-table' prepend a shell command name to not fail
> when `manual-program' is "LC_CTYPE=C man"?  Isn't it easier just to do this
> than to declare it as an abuse?

I have nothing against calling `man' through the shell in all cases,
but if we do that, we need to rename the variable to something like
`man-shell-command' and document it as a "shell command that produces
manual pages".